Package org.apache.iotdb.jdbc

## Class Config

- java.lang.Object
- - org.apache.iotdb.jdbc.Config

    public class Config
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `DEFAULT_BUFFER_CAPACITY` key of thrift default buffer size
`static int` `DEFAULT_FETCH_SIZE`
`static java.lang.String` `IOTDB_URL_PREFIX` The required prefix for the connection URL.
`static java.lang.String` `JDBC_DRIVER_NAME`
`static boolean` `rpcThriftCompressionEnable`
`static java.lang.String` `THRIFT_FRAME_MAX_SIZE` key of thrift max frame size
`static java.lang.String` `VERSION`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IOTDB_URL_PREFIX

    public static final java.lang.String IOTDB_URL_PREFIX

The required prefix for the connection URL.

See Also:
  Constant Field Values

#### DEFAULT_FETCH_SIZE

    public static final int DEFAULT_FETCH_SIZE

See Also:
  Constant Field Values

#### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

#### JDBC_DRIVER_NAME

    public static final java.lang.String JDBC_DRIVER_NAME

See Also:
  Constant Field Values

#### rpcThriftCompressionEnable

    public static boolean rpcThriftCompressionEnable

#### DEFAULT_BUFFER_CAPACITY

    public static final java.lang.String DEFAULT_BUFFER_CAPACITY

key of thrift default buffer size

See Also:
  Constant Field Values

#### THRIFT_FRAME_MAX_SIZE

    public static final java.lang.String THRIFT_FRAME_MAX_SIZE

key of thrift max frame size

See Also:
  Constant Field Values